preferences

Operations of the User Hub API. Paths are relative to your deployment's API host.

GET /api/user-hub-api/preferences

Get all preferences for the current user

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
scopequeryone of "global", "project"noPreference scope
scopeIdquerystringnoScope ID (e.g. project ID or org ID)
StatusDescriptionBody
200application/json PreferenceResponseDtoDataArrayEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

PUT /api/user-hub-api/preferences

Upsert one or more preferences

Authentication: bearer token (Authorization: Bearer <token>)

Request body: application/json SetPreferencesDto

StatusDescriptionBody
200application/json PreferenceResponseDtoDataArrayEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/user-hub-api/preferences/sync

Bulk sync preferences with last-write-wins merge

Authentication: bearer token (Authorization: Bearer <token>)

Request body: application/json SyncPreferencesDto

StatusDescriptionBody
200application/json SyncResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

GET /api/user-hub-api/preferences/{key}

Get a single preference by key

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
keypathstringyes
scopequeryone of "global", "project"noPreference scope
scopeIdquerystringnoScope ID (e.g. project ID or org ID)
StatusDescriptionBody
200application/json PreferenceResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

DELETE /api/user-hub-api/preferences/{key}

Delete a single preference by key

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
keypathstringyes
scopequeryone of "global", "project"no
scopeIdquerystringno
StatusDescriptionBody
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto